--- a/GNUmakefile
+++ b/GNUmakefile
@@ -348,22 +348,22 @@
 
 install-gtkd: $(LIBNAME_GTKD) install-headers-gtkd
 	install -d $(DESTDIR)$(prefix)/$(libdir)
-	install -m 644 $(LIBNAME_GTKD)   $(DESTDIR)$(prefix)/$(libdir)
+	install -m 644 $(LIBNAME_GTKD) -t $(DESTDIR)$(prefix)/$(libdir)
 
 install-gtkdgl: $(LIBNAME_GTKDGL) install-gtkd install-headers-gtkdgl
-	install -m 644 $(LIBNAME_GTKDGL) $(DESTDIR)$(prefix)/$(libdir)
+	install -m 644 $(LIBNAME_GTKDGL) -t $(DESTDIR)$(prefix)/$(libdir)
 
 install-gtkdsv: $(LIBNAME_GTKDSV) install-gtkd install-headers-gtkdsv
-	install -m 644 $(LIBNAME_GTKDSV) $(DESTDIR)$(prefix)/$(libdir)
+	install -m 644 $(LIBNAME_GTKDSV) -t $(DESTDIR)$(prefix)/$(libdir)
 
 install-gstreamer: $(LIBNAME_GSTREAMERD) install-gtkd install-headers-gstreamer
-	install -m 644 $(LIBNAME_GSTREAMERD) $(DESTDIR)$(prefix)/$(libdir)
+	install -m 644 $(LIBNAME_GSTREAMERD) -t $(DESTDIR)$(prefix)/$(libdir)
 
 install-vte: $(LIBNAME_VTED) install-gtkd install-headers-vte
-	install -m 644 $(LIBNAME_VTED) $(DESTDIR)$(prefix)/$(libdir)
+	install -m 644 $(LIBNAME_VTED) -t $(DESTDIR)$(prefix)/$(libdir)
 
 install-peas: $(LIBNAME_PEASD) install-gtkd install-headers-peas
-	install -m 644 $(LIBNAME_PEASD) $(DESTDIR)$(prefix)/$(libdir)
+	install -m 644 $(LIBNAME_PEASD) -t $(DESTDIR)$(prefix)/$(libdir)
 
 install-shared-gtkd: $(SONAME_GTKD)
 	install -d $(DESTDIR)$(prefix)/$(libdir)
@@ -388,27 +388,27 @@
 	install -d $(DESTDIR)$(prefix)/include/d/gtkd-$(MAJOR)
 	install -d $(DESTDIR)$(prefix)/$(pkgconfigdir)
 	(cd generated/gtkd;   echo $(SOURCES_GTKD)   | sed -e s,generated/gtkd/,,g   | xargs tar cf -) | (cd $(DESTDIR)$(prefix)/include/d/gtkd-$(MAJOR); tar xvf -)
-	install -m 644 gtkd-$(MAJOR).pc $(DESTDIR)$(prefix)/$(pkgconfigdir)
+	install -m 644 gtkd-$(MAJOR).pc -t $(DESTDIR)$(prefix)/$(pkgconfigdir)
 
 install-headers-gtkdgl: gtkdgl-$(MAJOR).pc install-headers-gtkd
 	(cd generated/gtkdgl; echo $(SOURCES_GTKDGL) | sed -e s,generated/gtkdgl/,,g | xargs tar cf -) | (cd $(DESTDIR)$(prefix)/include/d/gtkd-$(MAJOR); tar xvf -)
-	install -m 644 gtkdgl-$(MAJOR).pc $(DESTDIR)$(prefix)/$(pkgconfigdir)
+	install -m 644 gtkdgl-$(MAJOR).pc -t $(DESTDIR)$(prefix)/$(pkgconfigdir)
 
 install-headers-gtkdsv: gtkdsv-$(MAJOR).pc install-headers-gtkd
 	(cd generated/sourceview; echo $(SOURCES_GTKDSV) | sed -e s,generated/sourceview/,,g | xargs tar cf -) | (cd $(DESTDIR)$(prefix)/include/d/gtkd-$(MAJOR); tar xvf -)
-	install -m 644 gtkdsv-$(MAJOR).pc $(DESTDIR)$(prefix)/$(pkgconfigdir)
+	install -m 644 gtkdsv-$(MAJOR).pc -t $(DESTDIR)$(prefix)/$(pkgconfigdir)
 
 install-headers-gstreamer: gstreamerd-$(MAJOR).pc install-headers-gtkd
 	(cd generated/gstreamer; echo $(SOURCES_GSTREAMERD) | sed -e s,generated/gstreamer/,,g | xargs tar cf -) | (cd $(DESTDIR)$(prefix)/include/d/gtkd-$(MAJOR); tar xvf -)
-	install -m 644 gstreamerd-$(MAJOR).pc $(DESTDIR)$(prefix)/$(pkgconfigdir)
+	install -m 644 gstreamerd-$(MAJOR).pc -t $(DESTDIR)$(prefix)/$(pkgconfigdir)
 
 install-headers-vte: vted-$(MAJOR).pc install-headers-gtkd
 	(cd generated/vte; echo $(SOURCES_VTED) | sed -e s,generated/vte/,,g | xargs tar cf -) | (cd $(DESTDIR)$(prefix)/include/d/gtkd-$(MAJOR); tar xvf -)
-	install -m 644 vted-$(MAJOR).pc $(DESTDIR)$(prefix)/$(pkgconfigdir)
+	install -m 644 vted-$(MAJOR).pc -t $(DESTDIR)$(prefix)/$(pkgconfigdir)
 
 install-headers-peas: peasd-$(MAJOR).pc install-headers-gtkd
 	(cd generated/peas; echo $(SOURCES_PEASD) | sed -e s,generated/peas/,,g | xargs tar cf -) | (cd $(DESTDIR)$(prefix)/include/d/gtkd-$(MAJOR); tar xvf -)
-	install -m 644 peasd-$(MAJOR).pc $(DESTDIR)$(prefix)/$(pkgconfigdir)
+	install -m 644 peasd-$(MAJOR).pc -t $(DESTDIR)$(prefix)/$(pkgconfigdir)
 
 uninstall: uninstall-gtkdgl uninstall-gtkdsv uninstall-gstreamer uninstall-vte uninstall-peas
 	$(foreach dir,$(shell ls generated/gtkd)  , rm -rf $(DESTDIR)$(prefix)/include/d/gtkd-$(MAJOR)/$(dir))
